summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xpre-commit.d/10store-metadata3
-rwxr-xr-xpre-commit.d/10warn-empty7
-rwxr-xr-xpre-commit.d/10warn-hardlinks7
-rwxr-xr-xpre-commit.d/10warn-special7
4 files changed, 24 insertions, 0 deletions
diff --git a/pre-commit.d/10store-metadata b/pre-commit.d/10store-metadata
new file mode 100755
index 0000000..c1a6c27
--- /dev/null
+++ b/pre-commit.d/10store-metadata
@@ -0,0 +1,3 @@
+#!/bin/sh
+set -e
+metastore --save --mtime
diff --git a/pre-commit.d/10warn-empty b/pre-commit.d/10warn-empty
new file mode 100755
index 0000000..8dcb357
--- /dev/null
+++ b/pre-commit.d/10warn-empty
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -e
+empty=$(find -type f -empty | grep -v /.git/)
+if [ -n "$empty" ]; then
+ echo "warning: empty directories, not tracked by git:" >&2
+ echo "$empty" >&2
+fi
diff --git a/pre-commit.d/10warn-hardlinks b/pre-commit.d/10warn-hardlinks
new file mode 100755
index 0000000..f449fed
--- /dev/null
+++ b/pre-commit.d/10warn-hardlinks
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -e
+hardlinks=$(find -type f -not -links 1 | grep -v /.git/)
+if [ -n "$hardlinks" ]; then
+ echo "warning: hardlinked files could cause problems with git:" >&2
+ echo "$hardlinks" >&2
+fi
diff --git a/pre-commit.d/10warn-special b/pre-commit.d/10warn-special
new file mode 100755
index 0000000..92d1d3d
--- /dev/null
+++ b/pre-commit.d/10warn-special
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -e
+special=$(find -not -type d -not -type f -not -type l | grep -v /.git/)
+if [ -n "$special" ]; then
+ echo "warning: special files could cause problems with git:" >&2
+ echo "$special" >&2
+fi